# `Stripe.Params.Reporting.ReportRunCreateParams`
[🔗](https://github.com/jeffhuen/tiger_stripe/blob/main/lib/stripe/params/reporting/report_run_create_params.ex#L2)

Parameters for report run create.

# `t`

```elixir
@type t() :: %Stripe.Params.Reporting.ReportRunCreateParams{
  expand: [String.t()] | nil,
  parameters:
    Stripe.Params.Reporting.ReportRunCreateParams.Parameters.t() | nil,
  report_type: String.t()
}
```

* `expand` - Specifies which fields in the response should be expanded.
* `parameters` - Parameters specifying how the report should be run. Different Report Types have different required and optional parameters, listed in the [API Access to Reports](https://docs.stripe.com/reporting/statements/api) documentation.
* `report_type` - The ID of the [report type](https://docs.stripe.com/reporting/statements/api#report-types) to run, such as `"balance.summary.1"`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
